Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.image
Class NIVision.ColorMode

    java.lang.Object
      edu.wpi.first.wpilibj.image.NIVision.ColorMode

Enclosing class:
  NIVision

    public static class NIVision.ColorMode

extends Object

Enumerations representing the possible color spaces to operate in

Field Summary
`static NIVision.ColorMode` | `IMAQ_CIE` The function operates in the CIE L*a*b* color space.
`static NIVision.ColorMode` | `IMAQ_CIEXYZ` The function operates in the CIE XYZ color space.
`static NIVision.ColorMode` | `IMAQ_COLOR_MODE_SIZE_GUARD`
`static NIVision.ColorMode` | `IMAQ_HSI` The function operates in the HSI (Hue, Saturation, Intensity) color space.
`static NIVision.ColorMode` | `IMAQ_HSL` The function operates in the HSL (Hue, Saturation, Luminance) color space.
`static NIVision.ColorMode` | `IMAQ_HSV` The function operates in the HSV (Hue, Saturation, Value) color space.
`static NIVision.ColorMode` | `IMAQ_RGB` The function operates in the RGB (Red, Blue, Green) color space.
`int` | `value`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public final int value

### IMAQ_RGB

    public static final NIVision.ColorMode IMAQ_RGB

  The function operates in the RGB (Red, Blue, Green) color space.

### IMAQ_HSL

    public static final NIVision.ColorMode IMAQ_HSL

  The function operates in the HSL (Hue, Saturation, Luminance) color space.

### IMAQ_HSV

    public static final NIVision.ColorMode IMAQ_HSV

  The function operates in the HSV (Hue, Saturation, Value) color space.

### IMAQ_HSI

    public static final NIVision.ColorMode IMAQ_HSI

  The function operates in the HSI (Hue, Saturation, Intensity) color space.

### IMAQ_CIE

    public static final NIVision.ColorMode IMAQ_CIE

  The function operates in the CIE L*a*b* color space.

### IMAQ_CIEXYZ

    public static final NIVision.ColorMode IMAQ_CIEXYZ

  The function operates in the CIE XYZ color space.

### IMAQ_COLOR_MODE_SIZE_GUARD

    public static final NIVision.ColorMode IMAQ_COLOR_MODE_SIZE_GUARD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"